Subject: Re: [PATCH] powerpc: dts: 52xx: drop critical IRQ from dts files

From: Wolfram Sang <[email-masked]>
Date: Fri, 24 Aug 2012 10:44:25 +0200

On Thu, Aug 23, 2012 at 04:59:26PM +0100, Grant Likely wrote:
> On Thu, Aug 23, 2012 at 4:31 PM, Wolfram Sang <[email-masked]> wrote:
> > The wakeup-gpios have been assigned a critical IRQ in current
> > devicetrees. The PIC driver does not support critical IRQs, though, which
> > leads to the following error when booting (a PCM030 in this case):
> >
> >         mpc52xx_irqhost_map: invalid irq: virq=16, l1=0, l2=3
> >         irq: irq-16==>hwirq-0x3 mapping failed: -22
> >         [WARNing skipped]
> >
> > Remove these entries until they are supported, if ever.
> 
> The warning is a bug since the irq specifier is valid. Removing the
> irqs from the .dts files isn't the solution.

Adding another warning (not error) that critical IRQ are not supported
is?

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |